Bug 147574 - Resolve state should be tracked by track changes
Summary: Resolve state should be tracked by track changes
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Track-Changes Writer-Comments
  Show dependency treegraph
 
Reported: 2022-02-21 13:31 UTC by Telesto
Modified: 2022-11-05 17:44 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2022-02-21 13:31:01 UTC
Description:
Resolve state isn't tracked by track changes

Steps to Reproduce:
1. Open attachment 173161 [details]
2. Select resolved for comment box
3. Edit -> Track changes -> Manage

Actual Results:
Empty

Expected Results:
So track 'resolved'


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 2bb10a827ac13d0caf009e8526ccd9f17dc71653
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL Jumbo
Comment 1 Dieter 2022-03-09 06:14:52 UTC
Telesto, as far as I can see, inserting and delting a comment (but see 115645) are the only changes, that are tracked. Comments are not part of tracking changes, see [1]. So general question is, if comments should be included.

Personally I won't suport this, because changing layout of a comment is not such important as in text area and for collaborative work you can always answer to a comment.

What do you think, Telesto? => NEEDINFO


[1] https://help.libreoffice.org/7.3/en-GB/text/shared/01/02230100.html?&DbPAR=WRITER&System=WIN
Comment 2 Telesto 2022-03-09 07:10:03 UTC
(In reply to Dieter from comment #1)
> Telesto, as far as I can see, inserting and delting a comment (but see
> 115645) are the only changes, that are tracked. Comments are not part of
> tracking changes, see [1]. So general question is, if comments should be
> included.
> 
> Personally I won't suport this, because changing layout of a comment is not
> such important as in text area and for collaborative work you can always
> answer to a comment.
> 
> What do you think, Telesto? => NEEDINFO
> 
> 
> [1]
> https://help.libreoffice.org/7.3/en-GB/text/shared/01/02230100.
> html?&DbPAR=WRITER&System=WIN

Well i'm not an expert on the matter. In my perception every change should be tracked. But I have barely use track changes and didn't check the behaviour other office suites.
The only reason I reported this is that the Resolved state being introduced recently. An few implementation errors did occur by not covering all facets  
So I assumed the track changes code not being adapted
Comment 3 Dieter 2022-03-09 08:00:41 UTC
O.K., let's ask design team for further input and decision about including comments into track changes

cc: Design-Team
Comment 4 Heiko Tietze 2022-03-14 09:07:50 UTC
I wonder if MSO tracks the resolved state.
Comment 5 Cor Nouws 2022-03-15 18:39:40 UTC
Hi Dieter, Telestro,

(In reply to Dieter from comment #1)
> Telesto, as far as I can see, inserting and delting a comment (but see
> 115645) are the only changes, that are tracked.

That is correct - also removing all content, is considered deletion.
Comment 6 Heiko Tietze 2022-03-17 07:03:57 UTC
This topic was at the agenda of the design meeting.

The only information that TC reveals is who resolved a comment. So the benefit is low. Before this is going to be implemented we should see if competitors do the same and make sure it's covered by the open document specifications.
Comment 7 Dieter 2022-11-05 17:44:55 UTC
(In reply to Heiko Tietze from comment #6)
> Before this is going to be implemented we should ... make sure it's covered by   > the open document specifications.

@Regina: Do you know something about it?